1

Topic: Error on Install

Hello Dears,

iRedMail 0.8.3
MySQL
OS = PCBSD 9.1

Log:
...snip....
< INFO > Fetching all distfiles for port www/apache22 and dependencies
===> Fetching all distfiles for apache22-2.2.23_4 and dependencies
===>  apache22-2.2.23_4 AUTHN_DBD and DBD requires APR-util to have DBD support build in. Please rebuild APR at last with one DBD backend (MYSQL, PGSQL or SQLITE).
*** [fetch] Error code 1

Stop in /usr/ports/www/apache22.
*** [fetch-recursive] Error code 1

Stop in /usr/ports/www/apache22.
< ERROR > Tarballs were not downloaded correctly, please fix it manually and then re-execute iRedMail.sh.


After first appearance of this Error I installed Apache 2.2.23_4 manually via AppCafe (Package Management Tool of PCBSD), but this Error appeared again.

bye
Lothar

P.S. this is my absolute first seriously try of using an Unixoid Operating System, beside of some maintenance or troubleshooting tasks on Windows machines with Knoppix or Ubuntu!
Oh, I forgot .... I just installed a NAS4free System (after testing NAS4free, Freenas and Openindiana with Napp-It), but that was an easier mission .-)

2

Re: Error on Install

Digi-Quick wrote:

===>  apache22-2.2.23_4 AUTHN_DBD and DBD requires APR-util to have DBD support build in. Please rebuild APR at last with one DBD backend (MYSQL, PGSQL or SQLITE).

I didn't test PCBSD before, is there any difference between FreeBSD ports tree and PCBSD ports tree?

3 (edited by Digi-Quick 2013-02-16 06:10:47)

Re: Error on Install

Hello ZhangHuangbin,
As far as I see it is using the same Ports-tree than FreeBSD (ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/.....)
curerently I have set "Packagesite" to ftp://ftp.freebsd.org/pub/FreeBSD/ports … le/Latest/
(setenv PACKAGESITE "ftp://ftp.freebsd.org/pub/FreeBSD/ports … le/Latest/"), in fact it is FreeBSD, with preistalled KDE (or other choosable UI)

http://www.freebsd.org/projects/newbies.html states:
"PC-BSD is a FreeBSD derivative with a graphical installer and impressive desktop tools aimed at ease of use for the casual computer user."
http://www.pcbsd.org/

Sorry for being a Newbie, but I  didn't had a chance to do anything on clean FreeBSD, in a reasonable time, I red some Pages about how to use pkg_add - nothing happend, though I gave up for the Moment.

4

Re: Error on Install

I will test iRedMail with the latest ports tree today and hopefully fix this issue.

5

Re: Error on Install

Just 4 info!
Today I tried a second install from scratch of PCBSD, because I want to check the ability to establish a zfs-Mirror directly on Installation ( happily that was successful = that's great). The  use of ZFS on Install is one great advantage of PCBSD against FreeBSD :-) (on first Install I used only a single drive).
This time I didn't changed the Environment Varaible for "Packagesite".
But the same Error appeared again.

Additional Info (might be that the Terminal session acts another way than real console):
I started the script (iRedMail.sh) inside of a terminal-window aka Console on KDE (as superuser=su).
Before the error occurred many packages were already installed successfully.
Additionally I tried the root-terminal, same error.

6

Re: Error on Install

Installed the latest iRedMail on FreeBSD with the latest ports tree, works just fine.
I don't use PC-BSD, no idea what the differences of ports tree between PC-BSD and FreeBSD. But maybe you can simply fix this issue with below steps:

1: Open file iRedMail-0.8.3/functions/packages_freebsd.sh, find below line:

# Apr. DEPENDENCE.
    cat > /var/db/ports/apr/options <<EOF
OPTIONS_FILE_SET+=THREADS
OPTIONS_FILE_SET+=IPV6
OPTIONS_FILE_SET+=DEVRANDOM
OPTIONS_FILE_SET+=BDB                                                                                                         
OPTIONS_FILE_SET+=GDBM
OPTIONS_FILE_UNSET+=LDAP
OPTIONS_FILE_UNSET+=MYSQL
OPTIONS_FILE_UNSET+=NDBM
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_UNSET+=SQLITE
EOF

2: Change OPTIONS_FILE_UNSET+=SQLITE to:

OPTIONS_FILE_SET+=SQLITE

Then re-execute iRedMail.sh to install it:

# bash iRedMail.sh

I should fix your issue. And please let me know whether it works for you or not.

7

Re: Error on Install

Hello ZhangHuangbin,
Changing this Option didn't resolve the Error.
bye
Lothar

8

Re: Error on Install

Hi Lothar,

You have to delete (deinstall) apr first, then try again.

9

Re: Error on Install

P.S. I installed the latest iRedMail on FreeBSD (inside Jail) with the latest ports tree, all 3 backends work just fine. Didn't try PC-BSD yet.

10

Re: Error on Install

Tested with PC-BSD 9.1 today, and solved with below steps:

*) Deinstall devel/apr1 when you got this issue:

# cd /usr/ports/devel/apr1/
# make deinstall

*) Re-config port options:

# cat >/var/db/ports/apr/options <<EOF
OPTIONS_FILE_SET+=SSL
OPTIONS_FILE_SET+=THREADS
OPTIONS_FILE_SET+=IPV6
OPTIONS_FILE_SET+=DEVRANDOM
OPTIONS_FILE_SET+=BDB
OPTIONS_FILE_SET+=GDBM
OPTIONS_FILE_UNSET+=LDAP
OPTIONS_FILE_SET+=MYSQL
OPTIONS_FILE_UNSET+=NDBM
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_UNSET+=SQLITE
OPTIONS_FILE_UNSET+=FREETDS
EOF

*) Try to install iRedMail again:

# bash iRedMail.sh

== UPDATE ==
I updated iRedMail development version for better PC-BSD support:
https://bitbucket.org/zhb/iredmail/comm … a0854e548a

Commit log wrote:

Better PC-BSD support:

- explicitly add port net/openldap24-sasl-client
- Fix incorrect port option of devel/apr1

Thanks Lothar <info _at_ digi-quick.de> for the report.

I'm installing iRedMail development edition on PC-BSD 9 right now, compiling, compiling, compiling...
Will let you know the result.

11

Re: Error on Install

iRedMail works on PC-BSD-9.1. but i just found this (http://wiki.pcbsd.org/index.php/Install … D®_Updated):

NOTE: users are highly discouraged from using FreeBSD packages or ports or upgrade tools such as portupgrade or portversion from the PC-BSD® command line as Update Manager will remove your manually installed applications and upgrades. If you wish to practice using these tools, instead use Warden® to create a ports jail. If you think an application belongs in the base system (e.g. an add-on to a desktop meta-package), suggest that it be added using one of the resources in the Finding Help section.

So, i will stop working on PC-BSD support, please use FreeBSD instead. Sorry.

12

Re: Error on Install

That's really a bad fact, and degrades PC-BSD to nearly unusable.
btw.
I followed your instructions and the install script is running.
several Warnings appeared: "#warning "this file includes <sys/timeb.h> which is deprecated"

But now:

===>  Installing for mysql-server-5.5.30
===>   Generating temporary packing list
===>  Checking if databases/mysql55-server already installed
===>   An older version of databases/mysql55-server is already installed (mysql-server-5.5.28)
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of databases/mysql55-server
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** [check-already-installed] Error code 1

Stop in /usr/ports/databases/mysql55-server.
< ERROR > Port was not success installed, please fix it manually and then re-execute this script.


I give up!! :-(

13

Re: Error on Install

Digi-Quick wrote:

===>   An older version of databases/mysql55-server is already installed (mysql-server-5.5.28)
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of databases/mysql55-server
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** [check-already-installed] Error code 1

You can find below line in  /root/iRedMail-0.8.3/.status:

export status_install_port_databases_mysql55server='processing'

Since MySQL was installed, you can simply add one line to skip MySQL installation:

export status_install_port_databases_mysql55server='DONE'

Then re-execute iRedMail.sh.

14

Re: Error on Install

Just 4 info:
I installed PCBSD as clean Server
"FreeBSD Server: installs a basic, vanilla installation of FreeBSD. While the installation routine is different, the end result is the same as if one had installed FreeBSD from a FreeBSD media as it results in a minimal, command-line only FreeBSD server installation. "
Again with the benefit of ZFS!

The script runs well this time.
(One Error because an older Version of one Package was already istalled > deinstalled and restarted the script)

But now the previously installed Midnight Commander doesn't start (shared object "libpcre.so.1" not found) that's like windows DLL-Hell:-)

Once again, starting over :-) (aka "Learning by doing")

15

Re: Error on Install

Digi-Quick wrote:

But now the previously installed Midnight Commander doesn't start (shared object "libpcre.so.1" not found) that's like windows DLL-Hell:-)

Check this thread: http://forums.freebsd.org/showthread.php?t=29858